Bug 1719529 - LXQT - Please update version to current release
Summary: LXQT - Please update version to current release
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: lxqt-session
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zamir SUN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1724495 1752086
Blocks: 1728739
TreeView+ depends on / blocked
 
Reported: 2019-06-12 02:42 UTC by shollander1
Modified: 2019-10-26 15:21 UTC (History)
4 users (show)

Fixed In Version: lxqt-session-0.14.1-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-26 15:21:58 UTC
Type: Bug


Attachments (Terms of Use)

Description shollander1 2019-06-12 02:42:34 UTC
Description of problem:
Current version of lxqt packages is woefully out of date (almost 3 years old!)

Version-Release number of selected component (if applicable):
0.11

Please update all lxqt* components to the current version (0.14.1 as of this writing).

Thank you!

Comment 1 Zamir SUN 2019-06-22 15:56:50 UTC
I'll take a look for the possibility when I am available.

Comment 2 Zamir SUN 2019-06-23 03:06:05 UTC
Looks like RHEL/CentOS has a too old gcc or Qt environment. I'm now stuck with build error of liblxqt-0.14.1. It'll take some time to look into.

Comment 3 shollander1 2019-06-23 03:34:39 UTC
Zamir, thanks for picking this up. According to the release notes, LXQt requires C++14 as of version 0.14.0 (https://blog.lxqt.org/2019/01/release-lxqt-0-14-0/). Perhaps that is the issue. gcc only fully supports C++14 as of version 5, while RHEL/CentOS 7 is currently stuck on gcc-4.8.5. If there is no way around that, perhaps you can at least upgrade to the latest version that would work with RHEL 7 (perhaps 0.13.0).

Thank you.

Comment 4 Zamir SUN 2019-06-23 03:57:08 UTC
Yes, I'm aware of the requirement. However we all know RHEL sometimes try to back port features into their products even they don't update the version, and that is why I tried LXQt 0.14.1 as well.

I'm now trying with 0.13.0. While I don't have a ETA but I hope to at least get something working in my copr within the two weeks.

Comment 5 Rex Dieter 2019-06-24 16:04:49 UTC
FYI, epel-7 supports SCL's, which can provide newer compilers for rhel7/epel7

Comment 6 Zamir SUN 2019-06-25 13:37:30 UTC
Thanks Rex. I'm aware of SCL. However I did not find gcc in SCLs.

Note, I am now stuck for LXQt 0.13.0 as well. Need to investigate later.

Comment 7 shollander1 2019-06-26 04:25:57 UTC
From what I can see, looks like SCL for RHEL7 has gcc 4.9, 5, and 6.
See https://pkgs.org/download/gcc. For example, here is gcc 5: https://centos.pkgs.org/7/centos-sclo-rh-x86_64/devtoolset-4-gcc-5.3.1-6.1.el7.x86_64.rpm.html

Comment 8 Zamir SUN 2019-06-26 11:54:42 UTC
Great, thanks!

So I'll figure out how to use it in koji/copr and try with that.

Comment 9 Zamir SUN 2019-06-27 08:20:46 UTC
Some updates, now I figured out how to do with devtoolset-7 in copr. But I think I need menu-cache-devel-1.1.0. I've filed a bug for it and let's see how it will be.

Comment 10 Zamir SUN 2019-07-03 13:13:08 UTC
The build is almost finished in my copr. I'll be testing it over the weekend and also waiting for menu-cache to update in EPEL. Hope this can be finished by the end of July.

Comment 11 Zamir SUN 2019-07-10 14:41:25 UTC
Another heads-up, now it functionally works in my copr, except the themes. It's due to we are using some theme sub-packages from newer KDE desktop which is not in EPEL yet. I'll make a compatible working theme for EPEL.

Comment 12 Zamir SUN 2019-08-18 14:23:14 UTC
Still no updates for menu-cache.

Comment 13 Zamir SUN 2019-09-18 11:50:09 UTC
I get the permission for menu-cache, and will start working on this as soon as I have time.

Comment 14 shollander1 2019-09-19 04:02:09 UTC
Zamir, thank you for your persistence on this issue. I look forward to when this will finally be released!

Comment 15 Zamir SUN 2019-09-29 14:26:39 UTC
[lxqt-admin]$ git log
commit 0bf846c357eb5aee7c5f69801d2c26e6ca47d69e (HEAD -> epel7, origin/epel7)
Author: Raphael Groner <raphgro@fedoraproject.org>
Date:   Mon Aug 8 19:03:41 2016 +0200

    retired cause of too old GCC, sources need C++11 features

I see lxqt-admin in EPEL7 has been retired before. So I think a lot more time will be needed to figure out how many packages have been retired and then file separate tickets to unretire them before I can continue working on it.

Currently bulk 0 to III of the following order have been built
https://forum.lxqt.org/t/build-order-release-plan-0-14-1/292

Comment 16 Zamir SUN 2019-09-30 07:46:20 UTC
Un-retire request of lxqt-admin https://pagure.io/releng/issue/8850

The rest of the whole LXQt stack has been built.

Comment 17 Fedora Update System 2019-10-01 02:30:29 UTC
FEDORA-EPEL-2019-18ce705d1b has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-18ce705d1b

Comment 18 Fedora Update System 2019-10-04 21:17:52 UTC
libfm-qt-0.14.1-5.el7, liblxqt-0.14.1-5.el7, libqtxdg-3.3.1-5.el7, libsysstat-0.4.2-3.el7, lximage-qt-0.14.1-3.el7, lxqt-about-0.14.1-3.el7, lxqt-admin-0.14.1-3.el7, lxqt-build-tools-0.6.0-3.el7, lxqt-config-0.14.1-3.el7, lxqt-globalkeys-0.14.1-3.el7, lxqt-notificationd-0.14.1-3.el7, lxqt-openssh-askpass-0.14.1-3.el7, lxqt-panel-0.14.1-3.el7, lxqt-policykit-0.14.1-3.el7, lxqt-powermanagement-0.14.1-3.el7, lxqt-qtplugin-0.14.0-7.el7, lxqt-runner-0.14.1-3.el7, lxqt-session-0.14.1-3.el7, lxqt-sudo-0.14.1-3.el7, lxqt-themes-0.14.0-3.el7, menu-cache-1.1.0-1.el7.5, obconf-qt-0.14.1-3.el7, pavucontrol-qt-0.14.1-3.el7, pcmanfm-qt-0.14.1-3.el7, qterminal-0.14.1-3.el7, qtermwidget-0.14.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-18ce705d1b

Comment 19 Fedora Update System 2019-10-10 07:27:36 UTC
FEDORA-EPEL-2019-18ce705d1b has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-18ce705d1b

Comment 20 Fedora Update System 2019-10-10 17:31:07 UTC
libfm-qt-0.14.1-5.el7, liblxqt-0.14.1-5.el7, libqtxdg-3.3.1-5.el7, libsysstat-0.4.2-3.el7, lximage-qt-0.14.1-3.el7, lxqt-about-0.14.1-3.el7, lxqt-admin-0.14.1-3.el7, lxqt-build-tools-0.6.0-3.el7, lxqt-config-0.14.1-3.el7, lxqt-globalkeys-0.14.1-3.el7, lxqt-notificationd-0.14.1-3.el7, lxqt-openssh-askpass-0.14.1-3.el7, lxqt-panel-0.14.1-3.el7, lxqt-policykit-0.14.1-3.el7, lxqt-powermanagement-0.14.1-3.el7, lxqt-qtplugin-0.14.0-7.el7, lxqt-runner-0.14.1-3.el7, lxqt-session-0.14.1-3.el7, lxqt-sudo-0.14.1-3.el7, lxqt-themes-0.14.0-3.el7, menu-cache-1.1.0-1.el7.5, obconf-qt-0.14.1-3.el7, openbox-theme-mistral-thin-0-6.20170125.el7, pavucontrol-qt-0.14.1-3.el7, pcmanfm-qt-0.14.1-3.el7, qterminal-0.14.1-3.el7, qtermwidget-0.14.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-18ce705d1b

Comment 21 Fedora Update System 2019-10-26 15:21:58 UTC
libfm-qt-0.14.1-5.el7, liblxqt-0.14.1-5.el7, libqtxdg-3.3.1-5.el7, libsysstat-0.4.2-3.el7, lximage-qt-0.14.1-3.el7, lxqt-about-0.14.1-3.el7, lxqt-admin-0.14.1-3.el7, lxqt-build-tools-0.6.0-3.el7, lxqt-config-0.14.1-3.el7, lxqt-globalkeys-0.14.1-3.el7, lxqt-notificationd-0.14.1-3.el7, lxqt-openssh-askpass-0.14.1-3.el7, lxqt-panel-0.14.1-3.el7, lxqt-policykit-0.14.1-3.el7, lxqt-powermanagement-0.14.1-3.el7, lxqt-qtplugin-0.14.0-7.el7, lxqt-runner-0.14.1-3.el7, lxqt-session-0.14.1-3.el7, lxqt-sudo-0.14.1-3.el7, lxqt-themes-0.14.0-3.el7, menu-cache-1.1.0-1.el7.5, obconf-qt-0.14.1-3.el7, openbox-theme-mistral-thin-0-6.20170125.el7, pavucontrol-qt-0.14.1-3.el7, pcmanfm-qt-0.14.1-3.el7, qterminal-0.14.1-3.el7, qtermwidget-0.14.1-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.